Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Class ParameterBindingType

    java.lang.Object
      com.ibm.portal.propertybroker.property.ParameterBindingType

All Implemented Interfaces:
  java.io.Serializable

    public class ParameterBindingType

extends java.lang.Object
implements java.io.Serializable

Typesafe enum pattern that encapsulates the binding types of a `Parameter`. This class defines constants for binding types recognized in the WebSphere Portal environment. Third parties may extend this class to create new parameter binding types for other environments.

Since:
  5.1.0.1
See Also:
  `Parameter`, Serialized Form

Field Summary
`protected java.lang.String` | `iDescription`
`protected int` | `iValue`
`static ParameterBindingType` | `RENDER_PARAMETER` This `Parameter` is bound as a portlet's render parameter.
`static ParameterBindingType` | `REQUEST_ATTRIBUTE` This `Parameter` is bound as a portlet's request attribute.
`static ParameterBindingType` | `REQUEST_PARAMETER` This `Parameter` is bound as a portlet's request parameter.
`static ParameterBindingType` | `SESSION_ATTRIBUTE` This `Parameter` is bound as a portlet's session attribute.

Constructor Summary
`protected` | `ParameterBindingType(int aValue, java.lang.String aDescription)` Constructs a new `ParameterBindingType`

Method Summary
`boolean` | `equals(java.lang.Object that)` Marked final to ensure that subclasses do not change this method
`int` | `hashCode()` Marked final to ensure that subclasses do not change this method
`java.lang.String` | `toString()` Override default

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER

    public static final ParameterBindingType REQUEST_PARAMETER

  This `Parameter` is bound as a portlet's request parameter.

### SESSION_ATTRIBUTE

    public static final ParameterBindingType SESSION_ATTRIBUTE

  This `Parameter` is bound as a portlet's session attribute.

### REQUEST_ATTRIBUTE

    public static final ParameterBindingType REQUEST_ATTRIBUTE

  This `Parameter` is bound as a portlet's request attribute.

### RENDER_PARAMETER

    public static final ParameterBindingType RENDER_PARAMETER

  This `Parameter` is bound as a portlet's render parameter.

### iValue

    protected final int iValue

### iDescription

    protected final java.lang.String iDescription

Constructor Detail

### ParameterBindingType

    protected ParameterBindingType(int aValue,
                                   java.lang.String aDescription)

  Constructs a new `ParameterBindingType`

  Parameters:
    `aValue` - An int value identifying the parameter binding type
    `aDescription` - A textual description of the parameter binding type

Method Detail

### toString

    public java.lang.String toString()

  Override default

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object that)

  Marked final to ensure that subclasses do not change this method

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Marked final to ensure that subclasses do not change this method

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD